# Module `posix.sys.time`

Get and Set System Date and Time.

## Functions

gettimeofday () | Get time of day.

## Tables

PosixTimeval | Time value.

## Functions

gettimeofday ()
  Get time of day.

  ### Returns:

  PosixTimeval time elapsed since epoch, if successful

  ### Or

  1. nil
  2. string error message
  3. int errnum

  ### See also:

  gettimeofday(2)

## Tables

PosixTimeval
  Time value.

  ### Fields:

  - tv_sec int seconds elapsed
  - tv_usec int remainder in microseconds

  ### See also:

  posix.time.PosixTimespec

generated by LDoc 1.5.0 Last updated 2025-02-16 13:16:41